Name: libcap
Version: 1.10
Release: alt16
Serial: 1

Summary: Library for getting and setting POSIX.1e capabilities
License: GPL/BSD-style
Group: System/Libraries
Url: http://www.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2
Packager: Dmitry V. Levin <ldv@altlinux.org>

# ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/libcap-%version.tar.bz2
Source0: libcap-%version.tar
Source1: %url/capfaq-0.2.txt

Patch1: libcap-1.10-alt-makefile.patch
Patch2: libcap-1.10-alt-cap_free.patch
Patch3: libcap-1.10-alt-bound.patch
Patch4: libcap-1.10-alt-warnings.patch
Patch5: libcap-1.10-rh-alt-makenames.patch
Patch6: libcap-1.10-alt-userland.patch
Patch7: libcap-1.10-alt-cap_file.patch

%package utils
Summary: Utilities for getting and setting POSIX.1e capabilities
Group: System/Base
Requires: %name = %serial:%version-%release

%package devel
Summary: Development environment for libcap
Group: Development/C
Requires: %name = %serial:%version-%release

%description
This is a library for getting and setting POSIX.1e
(formerly POSIX 6) draft 15 capabilities.

%description utils
This packages contains utilities for getting and setting
POSIX.1e (formerly POSIX 6) draft 15 capabilities.

%description devel
The development library, header files, and documentation
for building applications dealing with POSIX.1e
(formerly POSIX 6) draft 15 capabilities.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

install -pm644 %_sourcedir/capfaq-0.2.txt .

%build
%def_enable Werror
%make_build \
	COPTFLAG="%optflags" LDFLAGS= DEBUG= FAKEROOT=

%install
%make_install install \
	FAKEROOT="%buildroot" LIBDIR='$(FAKEROOT)/%_lib'

# Relocate development library from /%_lib/ to %_libdir/.
mkdir "%buildroot%_libdir"
symlink="%buildroot/%_lib/libcap.so"
soname=`objdump -p "$symlink" |awk '/SONAME/ {print $2}'`
[ -n "$soname" ]
rm -f "$symlink"
ln -s ../../%_lib/"$soname" "%buildroot%_libdir/libcap.so"

%post -p %post_ldconfig_sys
%postun -p %postun_ldconfig

%files
/%_lib/*.so.*

%files utils
/sbin/*

%files devel
%_libdir/*.so
%_includedir/sys/*.h
%_man3dir/*
%doc CHANGELOG README *.txt pgp.keys.asc doc/capability.notes progs/*.c

%changelog
* Mon Apr 09 2007 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt16
- Uncompressed tarball, reduced macro abuse in specfile.

* Fri Oct 14 2005 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt15
- Enabled additional gcc diagnostics and fixed all uncovered warnings.

* Thu Oct 06 2005 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt14
- Removed prototypes of cap_get_fd, cap_get_file, cap_set_fd and
  cap_set_file functions from sys/capability.h file (closes #8142).

* Mon Aug 15 2005 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt13
- Restricted list of global symbols exported by the library.

* Sun Sep 05 2004 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt12
- Relocated development library to %%_libdir.
- Added multilib support.

* Tue Apr 27 2004 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt11
- Link the libcap shared library with glibc.

* Thu Nov 06 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt10
- Do not override capget and capset symbols defined in glibc.
- Build the shared library with -fPIC.

* Mon Oct 13 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt9
- Enhanced bounds checking patch.

* Wed Aug 27 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt8
- Refined userland patch.

* Thu May 29 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt7
- Pass -Werror to compiler.
- Do not set executable bit for library.

* Mon Sep 16 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt6
- Fixed few compilation warnings.
- Rediffed some of patches with "-p" option.

* Mon Sep 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.10-alt5
- Updated %post/%postun scripts.
- Updated devel-static requirements.
- Use subst instead of perl for build.

* Tue Feb 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.10-alt4
- Reworked userland patch.

* Wed Feb 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.10-ipl3
- Merged two RH patches:
  + fixed libcap/_makenames.c to use own header;
  + fixed sys/capability.h to avoid kernel headers devour in user mode.

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.10-ipl2
- Added snprintf sanity fix.
- Fixed cap_free usage within library.

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.10-ipl1
- Split to %name, %name-utils and %name-devel subpackages.

* Fri Dec  3 1999 Dmitry V. Levin <ldv@fandra.org>
- Initial revision.
